ZZIP_ERROR(3)

NAME
zzip_error, zzip_seterror - get errror status.

SYNOPSIS

#include <zzip/lib.h>

int zzip_error((ZZIP_DIR * dir));

void zzip_seterror((ZZIP_DIR * dir, int errcode));

DESCRIPTION

The zzip_error function just returns dir->errcode of the ZZIP_DIR handle see: zzip_dir_open, zzip_dir_open, zzip_readdir, zzip_dir_read

The zzip_seterror function just does dir->errcode = errcode

AUTHOR

    • Guido Draheim <guidod@gmx.de>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)